commit:     4852590d26217754284fdacfef8fa33d1507569d
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat May  7 08:41:56 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat May  7 08:41:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4852590d

dev-libs/libappindicator: Fix Vala classes not being able to inherit from 
Indicator and fix vapigen detection (#580988 by jospezial)

Package-Manager: portage-2.2.28

 ...indicator-12.10.0-conditional-py-bindings.patch |  8 +-
 .../libappindicator-12.10.0-vala-inherit.patch     | 14 ++++
 .../libappindicator-12.10.0-r201.ebuild            | 86 ++++++++++++++++++++++
 .../libappindicator-12.10.0-r301.ebuild            | 71 ++++++++++++++++++
 4 files changed, 175 insertions(+), 4 deletions(-)

diff --git 
a/dev-libs/libappindicator/files/libappindicator-12.10.0-conditional-py-bindings.patch
 
b/dev-libs/libappindicator/files/libappindicator-12.10.0-conditional-py-bindings.patch
index 6a5e15f..c916d9b 100644
--- 
a/dev-libs/libappindicator/files/libappindicator-12.10.0-conditional-py-bindings.patch
+++ 
b/dev-libs/libappindicator/files/libappindicator-12.10.0-conditional-py-bindings.patch
@@ -1,5 +1,5 @@
---- bindings/Makefile.am       2015-07-10 10:04:18.091199191 +0200
-+++ bindings/Makefile.am       2015-07-10 10:19:47.047974439 +0200
+--- a/bindings/Makefile.am     2015-07-10 10:04:18.091199191 +0200
++++ b/bindings/Makefile.am     2015-07-10 10:19:47.047974439 +0200
 @@ -3,8 +3,10 @@
        vala
  else
@@ -12,8 +12,8 @@
  endif
  
  if HAS_MONO
---- configure.ac       2015-07-16 13:28:41.007502838 +0200
-+++ configure.ac_new   2015-07-16 13:53:18.118602877 +0200
+--- a/configure.ac     2015-07-16 13:28:41.007502838 +0200
++++ b/configure.ac_new 2015-07-16 13:53:18.118602877 +0200
 @@ -188,25 +188,37 @@
  PYGTK_REQUIRED=2.14.0
  PYGOBJECT_REQUIRED=0.22

diff --git 
a/dev-libs/libappindicator/files/libappindicator-12.10.0-vala-inherit.patch 
b/dev-libs/libappindicator/files/libappindicator-12.10.0-vala-inherit.patch
new file mode 100644
index 0000000..e71cb69
--- /dev/null
+++ b/dev-libs/libappindicator/files/libappindicator-12.10.0-vala-inherit.patch
@@ -0,0 +1,14 @@
+# 
http://bazaar.launchpad.net/~indicator-applet-developers/libappindicator/trunk.12.10/revision/244
+=== modified file 'bindings/vala/appindicator-0.1-custom.vala'
+--- a/bindings/vala/appindicator-0.1-custom.vala       2011-09-23 15:46:27 
+0000
++++ b/bindings/vala/appindicator-0.1-custom.vala       2012-10-10 23:33:35 
+0000
+@@ -23,7 +23,7 @@
+ */
+ 
+ namespace AppIndicator {
+-  [CCode (type_check_function = "IS_APP_INDICATOR")]
++  [CCode (type_check_function = "IS_APP_INDICATOR", type_id = 
"app_indicator_get_type ()")]
+   public class Indicator : GLib.Object {
+   }
+ }
+

diff --git a/dev-libs/libappindicator/libappindicator-12.10.0-r201.ebuild 
b/dev-libs/libappindicator/libappindicator-12.10.0-r201.ebuild
new file mode 100644
index 0000000..db2f2d7
--- /dev/null
+++ b/dev-libs/libappindicator/libappindicator-12.10.0-r201.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+VALA_USE_DEPEND="vapigen"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils multilib-minimal python-single-r1 vala
+
+DESCRIPTION="A library to allow applications to export a menu into the Unity 
Menu bar"
+HOMEPAGE="https://launchpad.net/libappindicator";
+SRC_URI="https://launchpad.net/${PN}/${PV%.*}/${PV}/+download/${P}.tar.gz";
+
+LICENSE="LGPL-2.1 LGPL-3"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~x86"
+
+IUSE="+introspection python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       >=dev-libs/dbus-glib-0.98[${MULTILIB_USEDEP}]
+       >=dev-libs/glib-2.26:2[${MULTILIB_USEDEP}]
+       >=dev-libs/libdbusmenu-0.6.2[gtk,${MULTILIB_USEDEP}]
+       >=dev-libs/libindicator-12.10.0:0[${MULTILIB_USEDEP}]
+       x11-libs/gtk+:2[${MULTILIB_USEDEP},introspection?]
+       introspection? ( >=dev-libs/gobject-introspection-1:= )
+       python? (
+               ${PYTHON_DEPS}
+               dev-python/pygtk[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig[${MULTILIB_USEDEP}]
+       introspection? ( $(vala_depend) )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-conditional-py-bindings.patch
+       # 
http://bazaar.launchpad.net/~indicator-applet-developers/libappindicator/trunk.12.10/revision/244
+       "${FILESDIR}"/${P}-vala-inherit.patch
+)
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # Don't use -Werror
+       sed -i -e 's/ -Werror//' {src,tests}/Makefile.{am,in} || die
+
+       eautoreconf
+
+       # Disable MONO for now because of https://bugs.gentoo.org/382491
+       sed -i -e '/^MONO_REQUIRED_VERSION/s:=.*:=9999:' configure || die
+}
+
+multilib_src_configure() {
+       if multilib_is_native_abi; then
+               local -x VALAC VALA_API_GEN VAPIGEN_VAPIDIR PKG_CONFIG_PATH
+               use introspection && vala_src_prepare && export 
VALA_API_GEN="${VAPIGEN}"
+       fi
+
+       ECONF_SOURCE=${S} \
+       econf \
+               --disable-static \
+               --with-gtk=2 \
+               $(multilib_native_use_enable introspection) \
+               $(multilib_native_use_enable python)
+}
+
+multilib_src_install() {
+       emake -j1 DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       prune_libtool_files --modules
+
+       # installed by slot 3 as well
+       rm -r "${D}"usr/share/gtk-doc || die
+}

diff --git a/dev-libs/libappindicator/libappindicator-12.10.0-r301.ebuild 
b/dev-libs/libappindicator/libappindicator-12.10.0-r301.ebuild
new file mode 100644
index 0000000..98f2c3d
--- /dev/null
+++ b/dev-libs/libappindicator/libappindicator-12.10.0-r301.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+VALA_USE_DEPEND="vapigen"
+
+inherit autotools eutils multilib-minimal vala
+
+DESCRIPTION="A library to allow applications to export a menu into the Unity 
Menu bar"
+HOMEPAGE="https://launchpad.net/libappindicator";
+SRC_URI="https://launchpad.net/${PN}/${PV%.*}/${PV}/+download/${P}.tar.gz";
+
+LICENSE="LGPL-2.1 LGPL-3"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+introspection"
+
+RDEPEND="
+       >=dev-libs/dbus-glib-0.98[${MULTILIB_USEDEP}]
+       >=dev-libs/glib-2.26:2[${MULTILIB_USEDEP}]
+       >=dev-libs/libdbusmenu-0.6.2[gtk3,${MULTILIB_USEDEP}]
+       >=dev-libs/libindicator-12.10.0:3[${MULTILIB_USEDEP}]
+       >=x11-libs/gtk+-3.2:3[${MULTILIB_USEDEP},introspection?]
+       introspection? ( >=dev-libs/gobject-introspection-1:= )
+"
+DEPEND="${RDEPEND}
+       introspection? ( $(vala_depend) )
+       dev-util/gtk-doc-am
+       virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-conditional-py-bindings.patch
+       # 
http://bazaar.launchpad.net/~indicator-applet-developers/libappindicator/trunk.12.10/revision/244
+       "${FILESDIR}"/${P}-vala-inherit.patch
+)
+
+src_prepare() {
+       default
+
+       # Don't use -Werror
+       sed -i -e 's/ -Werror//' {src,tests}/Makefile.{am,in} || die
+
+       eautoreconf
+
+       # Disable MONO for now because of https://bugs.gentoo.org/382491
+       sed -i -e '/^MONO_REQUIRED_VERSION/s:=.*:=9999:' configure || die
+}
+
+multilib_src_configure() {
+       if multilib_is_native_abi; then
+               local -x VALAC VALA_API_GEN VAPIGEN_VAPIDIR PKG_CONFIG_PATH
+               use introspection && vala_src_prepare && export 
VALA_API_GEN="${VAPIGEN}"
+       fi
+
+       ECONF_SOURCE=${S} \
+       econf \
+               --disable-static \
+               --with-gtk=3 \
+               $(multilib_native_use_enable introspection)
+}
+
+multilib_src_install() {
+       emake -j1 DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       prune_libtool_files
+}

Reply via email to